Dynalinks
Projects

Create a new project

POST
/projects
Manage projects. Requires a master API key. Experimental: the request and response shapes may still change.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Request Body

Project object to be created

application/json
  1. body
project?

Response Body

Project created successfully

application/json
  1. response
id?string

UUID of the project

Formatuuid
name?string

Name of the project

subdomain?string

Subdomain for the project

custom_domain?string

Custom domain for the project

custom_domain_verified?boolean

Whether the custom domain is verified

links_count?integer

Number of links in the project

Example Request
curl -X POST 'https://dynalinks.app/api/v1/projects' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "name": "My Project",  "subdomain": "myproject",  "custom_domain": null,  "custom_domain_verified": false,  "links_count": 0}